Release Notes for New Card Renewal and Replacement Endpoints

Card renewal and card replacement API endpoints are introduced: Renew Card & Replace Card

Renew a card

Endpoint:
POST /cards/{cardId}/renewals

Description:
This endpoint allows you to renew an existing card. Clients can optionally request that the renewed card keeps the same expiry date as the original card only for physical cards.

Path Parameters:

  • cardId (UUID, required) – The unique identifier of the card.

Request Parameters:

  • keepExpiryDate (Boolean, optional) – Default false. It enables you to renew a card (for example, if it has been damaged) with the same expiry date and details. It is valid only for physical cards.
{
  "workflow": {
    "code": "client.direct"
  },
  "data": {},
  "connect": {},
  "metadata": {}
}
{
    "workflow": {},
    "data": {
        "card": {
            "id": "00000000-0000-0000-0000-000000000000",
            "clientId": "00000000-0000-0000-0000-000000000000",
            "userId": "00000000-0000-0000-0000-000000000000",
            "type": "virtual",
            "status": "active",
            "suspensionReason": null,
            "terminationReason": null,
            "serviceProvider": "thredd",
            "alias": "Gold Card",
            "bin": "999999",
            "pan": "999999******6526",
            "expirationDate": "12/26",
            "attributes": {
                "threddCardProduct": "00000"
            },
            "connection": {
                "id": "000000000",
                "serviceProvider": "thredd",
                "reference": "000000000",
                "state": "completed-up-to-date",
                "status": "active",
                "method": "built-in",
                "error": null
            }
        }
    },
    "connect": {},
    "metadata": {}
}
{
  "workflow": {
    "code": "client.direct"
  },
  "data": {
    "card": {
      "keepExpiryDate": true
    }
  },
  "connect": {},
  "metadata": {}
}
{
    "workflow": {},
    "data": {
        "card": {
            "id": "00000000-0000-0000-0000-000000000000",
            "clientId": "00000000-0000-0000-0000-000000000000",
            "userId": "00000000-0000-0000-0000-000000000000",
            "type": "physical",
            "status": "active",
            "suspensionReason": null,
            "terminationReason": null,
            "serviceProvider": "thredd",
            "alias": "Silver Card",
            "bin": "999999",
            "pan": "999999******1234",
            "expirationDate": "02/35",
            "attributes": {
                "threddCardProduct": "00000"
            },
            "connection": {
                "id": "000000000",
                "serviceProvider": "thredd",
                "reference": "000000000",
                "state": "completed-up-to-date",
                "status": "active",
                "method": "built-in",
                "error": null
            }
        }
    },
    "connect": {},
    "metadata": {}
}

Replace a card

Endpoint:
POST /cards/{cardId}/replacements

Description:
This endpoint allows you to replace an existing card (for example, due to loss, damage, or theft).

Path Parameters:

  • cardId (UUID, required) – The unique identifier of the card.

Request Parameters:

  • keepExpiryDate (Boolean, optional) – Default false. It enables you to replace a card (for example, if it is lost, stolen or damaged) with the same expiry date. It is valid only for physical cards.
{
  "workflow": {
    "code": "client.direct"
  },
  "data": {},
  "connect": {},
  "metadata": {}
}
{
    "workflow": {},
    "data": {
        "card": {
            "id": "00000000-0000-0000-0000-000000000000",
            "clientId": "00000000-0000-0000-0000-000000000000",
            "userId": "00000000-0000-0000-0000-000000000000",
            "type": "virtual",
            "status": "active",
            "suspensionReason": null,
            "terminationReason": null,
            "serviceProvider": "thredd",
            "alias": "Gold Card",
            "bin": "999999",
            "pan": "999999******6526",
            "expirationDate": "12/26",
            "attributes": {
                "threddCardProduct": "00000"
            },
            "connection": {
                "id": "000000000",
                "serviceProvider": "thredd",
                "reference": "000000000",
                "state": "completed-up-to-date",
                "status": "active",
                "method": "built-in",
                "error": null
            }
        }
    },
    "connect": {},
    "metadata": {}
}
{
  "workflow": {
    "code": "client.direct"
  },
  "data": {
    "card": {
      "keepExpiryDate": true
    }
  },
  "connect": {},
  "metadata": {}
}
{
    "workflow": {},
    "data": {
        "card": {
            "id": "00000000-0000-0000-0000-000000000000",
            "clientId": "00000000-0000-0000-0000-000000000000",
            "userId": "00000000-0000-0000-0000-000000000000",
            "type": "physical",
            "status": "active",
            "suspensionReason": null,
            "terminationReason": null,
            "serviceProvider": "thredd",
            "alias": "Silver Card",
            "bin": "999999",
            "pan": "999999******1234",
            "expirationDate": "02/35",
            "attributes": {
                "threddCardProduct": "00000"
            },
            "connection": {
                "id": "000000000",
                "serviceProvider": "thredd",
                "reference": "000000000",
                "state": "completed-up-to-date",
                "status": "active",
                "method": "built-in",
                "error": null
            }
        }
    },
    "connect": {},
    "metadata": {}
}